%define origname xview

Name: lib%origname
Version: 3.2p1.4
Release: alt2.M30.3

Summary: XView libraries for X11
License: Distributable
Group: System/Libraries

#Source0:	ftp://sunsite.unc.edu/pub/Linux/libs/X/xview/xview-3.2p1.4.src.tar.gz
Source0: %{origname}_%version.orig.tar.gz
Patch0: %{origname}_%version-19.1.diff.gz

Provides: %origname = %version

Summary(pl):	Biblioteki XView dla X11

%define _prefix		%_usr/X11R6
%define _mandir		%prefix/man

# Automatically added by buildreq on Sun Jan 29 2006
BuildRequires: xorg-x11-devel
#OldBuildRequires: XFree86-devel

#set_gcc_version 3.3

%description
XView provides a set of pre-built, user-interface objects such as
canvases, scrollbars, menus, and control panels. The appearance and
functionality of these objects follow the OPEN LOOK Graphical User
Interface (GUI) specification.

This is the Sun implementation of the OpenLook interface standard,
using the xview libraries. While somewhat outdated and superseded by
Motif, or gtk, it is still very useful, especially in providing
compatibility with older installations.

It is possible that the openwin desktop takes up much less disk space
to install and memory to run than modern desktops, which would make it
a good candidate for old hardware.

%description -l pl
XView dostarcza zestaw obiektw interfejsu uytkownika takich jak
scrollbary, menu, panele kontrolne. Zachowanie i funkcjonalno tych
obiektw jest zgodna ze specyfikacj OPEN LOOK GUI.

XView to implementacja Suna standardu OpenLook. Pomimo wieku i
wyparcia przez Motifa czy gtk, jest nadal uyteczna, zwaszcza do
zapewnienia kompatybilnoci ze starymi programami.

%package devel
Summary: Header files for XView development
Summary(pl):	Pliki nagwkowe XView
Group: Development/C
Requires: %name = %version

%description devel
All the files needed to develop applications that, using the XView
libraries, meet the OpenLook interface specifications.

%description devel -l pl
Wszystko co potrzebne do tworzenia aplikacji korzystajcych z
bibliotek XView, zgodnych ze specyfikacj interfejsu OpenLook.

%package devel-static
Summary: Static libraries for XView development
Summary(pl):	Biblioteki statyczne XView
Group: Development/C
Requires: %name = %version

%description devel-static
Static libraries for XView development

%description devel-static -l pl
Biblioteki statyczne XView

%prep
%setup -q -n %origname-%version
%patch0 -p1

%build
%__rm -f make
# now macro version shows 4.1 - olvm version, must use another macro - xview_ver
export IMAKEINCLUDE="-I$RPM_BUILD_DIR/%origname-%version/config -I%_libdir/X11/config"
cd config
imake -DUseInstalled 
cd ..
xmkmf -a
%__make \
	CC=%__cc \
	CCOPTIONS="%optflags"

%install
%__install -d %buildroot{%_libdir,%_man7dir,%_includedir,%_examplesdir/%name-%version}

for name in olgx xview; do
	%__cp lib/lib$name/lib$name.a %buildroot%_libdir
	%__cp -d lib/lib$name/lib$name.so.* %buildroot%_libdir
done

%__install xview.man %buildroot%_mandir/man7/xview.7

for dir in olgx olgx_private xview xview_private pixrect; do
	%__cp -aL build/include/$dir %buildroot%_includedir
done

ln -sf libolgx.so.3.2.4 %buildroot%_libdir/libolgx.so.3
ln -sf libxview.so.3.2.4 %buildroot%_libdir/libxview.so.3

ln -sf libolgx.so.3.2.4 %buildroot%_libdir/libolgx.so
ln -sf libxview.so.3.2.4 %buildroot%_libdir/libxview.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/libolgx.so.*
%_libdir/libxview.so.*

%files devel
%doc contrib/examples/
%_libdir/libolgx.so
%_libdir/libxview.so
%_man7dir/xview.7.*
%_includedir/olgx
%_includedir/olgx_private
%_includedir/pixrect
%_includedir/xview
%_includedir/xview_private

%files devel-static
%_libdir/libolgx.a
%_libdir/libxview.a

%changelog
* Mon Jan 30 2006 Igor Vlasenko <viy@altlinux.ru> 3.2p1.4-alt2.M30.3
- M30 backport

* Sun Jan 29 2006 Igor Vlasenko <viy@altlinux.ru> 3.2p1.4-alt3
- rebuild with gcc3.4.4 (compact 3.0)

* Mon Nov 21 2005 Igor Vlasenko <viy@altlinux.ru> 3.2p1.4-alt2.1
- picked up from orphaned; 
- resynced with Debian
- CAN-2005-0076 patch and ansi patch are now in debian patch

* Sat Jan 22 2005 Michael Shigorin <mike@altlinux.ru> 3.2p1.4-alt2
- CAN-2005-0076: multiple buffer overflows;
  added patch by Dmitry V. Levin (ldv@)
- doesn't build with gcc3.4 (OK with 3.2/3.3) => unsupported

* Sat Aug 16 2003 Michael Shigorin <mike@altlinux.ru> 3.2p1.4-alt1
- built for ALT Linux
- these PLD people worked on it:
  All persons listed below can be reached at <cvs_login>@pld.org.pl
  ankry, blues, filon, kloczek, marcus, qboosh, waszi
- original package (Mandrake) by:
  Chmouel Boudjnah <chmouel@mandrakesoft.com>
  Quc-Vit H <viet@mandrakesoft.com>
